Edit a comment
PATCH/api/comments/{subject_kind}/{subject_id}/{comment_id}
updateComment
Edits the body of a comment. Only the comment author may edit.
Requires authentication using a bearer token or a session cookie — see tokens and scopes.
curl
curl -X PATCH 'https://neosource.dev/api/comments/SUBJECT_KIND/SUBJECT_ID/COMMENT_ID' \
-H 'Authorization: Bearer $NEOSOURCE_TOKEN' \
-H 'Content-Type: application/json' \
-d '{"body":"string"}'fetch
fetch("https://neosource.dev/api/comments/SUBJECT_KIND/SUBJECT_ID/COMMENT_ID", {
method: "PATCH",
headers: {
Authorization: "Bearer $NEOSOURCE_TOKEN",
"Content-Type": "application/json",
},
body: JSON.stringify({"body":"string"}),
});Path parameters
subject_kindrequiredsubject_idrequiredcomment_idrequiredComment id (hex UUID).
Request bodyrequired
application/json
Responses
200Comment updated
application/json
403Forbidden — one of: forbidden, needs_scope
application/json
one of
Standard errors
Bodies documented once for the whole API — see standard errors.
- 400Bad Request — one of: invalid_input
- 401Authentication required
- 404Not Found — one of: not_found
- 409Conflict — one of: already_exists, conflict, github_sync_active
- 429Rate limited — retry after the `Retry-After` header
- 500Internal server error
- 503Service temporarily unavailable / at capacity — retry after the `Retry-After` header
- 504Gateway timeout — the request exceeded the server's handling budget